> ## Documentation Index
> Fetch the complete documentation index at: https://docs.stateset.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Users

> This endpoint gets or creates a new user.

### Body

<ParamField body="limit" required="true" type="string">
  This is the limit of the users.
</ParamField>

<ParamField body="offset" required="true" type="string">
  This is the offset of the users.
</ParamField>

<ParamField body="order_direction" required="true" type="string">
  This is the order direction of the users.
</ParamField>

### Response

<ResponseField name="id" type="number">
  This is the id of the user.
</ResponseField>

<ResponseField name="active" type="boolean">
  This is the active of the user.
</ResponseField>

<ResponseField name="avatar" type="string">
  This is the avatar of the user.
</ResponseField>

<ResponseField name="bio" type="string">
  This is the bio of the user.
</ResponseField>

<ResponseField name="birthday" type="string">
  This is the birthday of the user.
</ResponseField>

<ResponseField name="country" type="string">
  This is the country of the user.
</ResponseField>

<ResponseField name="email" type="string">
  This is the email of the user.
</ResponseField>

<ResponseField name="firstName" type="string">
  This is the firstName of the user.
</ResponseField>

<ResponseField name="lastName" type="string">
  This is the lastName of the user.
</ResponseField>

<ResponseField name="last_seen" type="string">
  This is the last\_seen of the user.
</ResponseField>

<ResponseField name="last_typed" type="string">
  This is the last\_typed of the user.
</ResponseField>

<ResponseField name="location" type="string">
  This is the location of the user.
</ResponseField>

<ResponseField name="organization" type="string">
  This is the organization of the user.
</ResponseField>

<ResponseField name="phone" type="string">
  This is the phone of the user.
</ResponseField>

<ResponseField name="regions" type="string">
  This is the regions of the user.
</ResponseField>

<ResponseField name="title" type="string">
  This is the title of the user.
</ResponseField>

<ResponseField name="twitter" type="string">
  This is the twitter of the user.
</ResponseField>

<ResponseField name="username" type="string">
  This is the username of the user.
</ResponseField>

<RequestExample>
  ```bash cURL theme={null}
  curl --location --request GET 'https://api.stateset.com/v1/users/:id' \
  --header 'Content-Type: application/json' \
  --header 'Authorization: Token <token>' \
  --data-raw '{
      "limit": 10,
      "offset": 0,
      "order_direction": "asc"
  }'
  ```

  ```graphQL GraphQL theme={null}

  query {
    user {
      id
      active
      avatar
      bio
      birthday
      country
      email
      firstName
      lastName
      last_seen
      last_typed
      location
      organization
      phone
      regions
      title
      twitter
      username
    }
  }
  ```

  ```javascript Node.js theme={null}

  var user = await stateset.users.list({
    limit: 10,
    offset: 0,
    order_direction: "asc"
  })

  ```

  ```python Python theme={null}

  user = stateset.users.list(
    limit=10,
    offset=0,
    order_direction="asc"
  )

  ```

  ```ruby Ruby theme={null}

  user = Stateset::Users.list(
    limit: 10,
    offset: 0,
    order_direction: "asc"
  )

  ```

  ```php PHP theme={null}

  $user = Stateset\Users::list([
    "limit" => 10,
    "offset" => 0,
    "order_direction" => "asc"
  ]);

  ```

  ```go Go theme={null}

  user, err := stateset.Users.List(
    10,
    0,
    "asc"
  )

  ```

  ```java Java theme={null}

  User user = stateset.users.list(
    10,
    0,
    "asc"
  );

  ```
</RequestExample>

<ResponseExample>
  ```json Response theme={null}
  {
    "id": 1,
    "active": true,
    "avatar": "",
    "bio": "This is the bio of the user.",
    "birthday": "2020-01-01",
    "country": "US",
    "email": "someone@there.com",
  }
  ```
</ResponseExample>

## Users

| Name         | Type                       | Description                                      |
| ------------ | -------------------------- | ------------------------------------------------ |
| id           | Text (Primary Key, Unique) | Unique identifier for the user                   |
| active       | Boolean                    | Indicates if the user is currently active        |
| avatar       | Text                       | URL or path to the user's avatar image           |
| bio          | Text                       | Biography or description of the user             |
| birthday     | Date                       | Date of birth of the user                        |
| country      | Text                       | Country of residence of the user                 |
| email        | Text                       | Email address of the user                        |
| firstName    | Text                       | First name of the user                           |
| lastName     | Text                       | Last name of the user                            |
| last\_seen   | Date/Time                  | Date and time when the user was last seen        |
| last\_typed  | Date/Time                  | Date and time when the user last typed a message |
| location     | Text                       | Location or address of the user                  |
| organization | Text                       | Organization or company the user belongs to      |
| phone        | Text                       | Phone number of the user                         |
| regions      | Text                       | Regions or areas associated with the user        |
| title        | Text                       | Title or job position of the user                |
| twitter      | Text                       | Twitter handle or username of the user           |
| username     | Text                       | Unique username of the user                      |
